# frozen_string_literal: true

require 'rancher/api/models/account'
require 'rancher/api/models/activesetting'
require 'rancher/api/models/addoutputsinput'
require 'rancher/api/models/addremoveservicelinkinput'
require 'rancher/api/models/agent'
require 'rancher/api/models/amazonec2config'
require 'rancher/api/models/apikey'
require 'rancher/api/models/auditlog'
require 'rancher/api/models/azureconfig'
require 'rancher/api/models/azureadconfig'
require 'rancher/api/models/backup'
require 'rancher/api/models/backuptarget'
require 'rancher/api/models/basemachineconfig'
require 'rancher/api/models/binding'
require 'rancher/api/models/blkiodeviceoption'
require 'rancher/api/models/catalogtemplate'
require 'rancher/api/models/certificate'
require 'rancher/api/models/changesecretinput'
require 'rancher/api/models/clustermembership'
require 'rancher/api/models/composeconfig'
require 'rancher/api/models/composeconfiginput'
require 'rancher/api/models/composeproject'
require 'rancher/api/models/composeservice'
require 'rancher/api/models/configitem'
require 'rancher/api/models/configitemstatus'
require 'rancher/api/models/container'
require 'rancher/api/models/containerevent'
require 'rancher/api/models/containerexec'
require 'rancher/api/models/containerlogs'
require 'rancher/api/models/containerproxy'
require 'rancher/api/models/credential'
require 'rancher/api/models/databasechangelog'
require 'rancher/api/models/databasechangeloglock'
require 'rancher/api/models/defaultnetwork'
require 'rancher/api/models/digitaloceanconfig'
require 'rancher/api/models/dnsservice'
require 'rancher/api/models/dockerbuild'
require 'rancher/api/models/extensionimplementation'
require 'rancher/api/models/extensionpoint'
require 'rancher/api/models/externaldnsevent'
require 'rancher/api/models/externalevent'
require 'rancher/api/models/externalhandler'
require 'rancher/api/models/externalhandlerexternalhandlerprocessmap'
require 'rancher/api/models/externalhandlerprocess'
require 'rancher/api/models/externalhandlerprocessconfig'
require 'rancher/api/models/externalhostevent'
require 'rancher/api/models/externalservice'
require 'rancher/api/models/externalserviceevent'
require 'rancher/api/models/externalstoragepoolevent'
require 'rancher/api/models/externalvolumeevent'
require 'rancher/api/models/fielddocumentation'
require 'rancher/api/models/genericobject'
require 'rancher/api/models/haconfig'
require 'rancher/api/models/haconfiginput'
require 'rancher/api/models/healthcheckinstancehostmap'
require 'rancher/api/models/host'
require 'rancher/api/models/hostaccess'
require 'rancher/api/models/hostapiproxytoken'
require 'rancher/api/models/hosttemplate'
require 'rancher/api/models/identity'
require 'rancher/api/models/image'
require 'rancher/api/models/inserviceupgradestrategy'
require 'rancher/api/models/instance'
require 'rancher/api/models/instanceconsole'
require 'rancher/api/models/instanceconsoleinput'
require 'rancher/api/models/instancehealthcheck'
require 'rancher/api/models/instancelink'
require 'rancher/api/models/instancestop'
require 'rancher/api/models/ipaddress'
require 'rancher/api/models/kubernetesservice'
require 'rancher/api/models/kubernetesstack'
require 'rancher/api/models/kubernetesstackupgrade'
require 'rancher/api/models/label'
require 'rancher/api/models/launchconfig'
require 'rancher/api/models/lbconfig'
require 'rancher/api/models/lbtargetconfig'
require 'rancher/api/models/ldapconfig'
require 'rancher/api/models/loadbalancercookiestickinesspolicy'
require 'rancher/api/models/loadbalancerservice'
require 'rancher/api/models/localauthconfig'
require 'rancher/api/models/logconfig'
require 'rancher/api/models/machine'
require 'rancher/api/models/machinedriver'
require 'rancher/api/models/mount'
require 'rancher/api/models/mountentry'
require 'rancher/api/models/network'
require 'rancher/api/models/networkdriver'
require 'rancher/api/models/networkdriverservice'
require 'rancher/api/models/networkpolicyrule'
require 'rancher/api/models/networkpolicyrulebetween'
require 'rancher/api/models/networkpolicyrulemember'
require 'rancher/api/models/networkpolicyrulewithin'
require 'rancher/api/models/nfsconfig'
require 'rancher/api/models/openldapconfig'
require 'rancher/api/models/packetconfig'
require 'rancher/api/models/password'
require 'rancher/api/models/physicalhost'
require 'rancher/api/models/port'
require 'rancher/api/models/portrule'
require 'rancher/api/models/processdefinition'
require 'rancher/api/models/processexecution'
require 'rancher/api/models/processinstance'
require 'rancher/api/models/processpool'
require 'rancher/api/models/processsummary'
require 'rancher/api/models/project'
require 'rancher/api/models/projectmember'
require 'rancher/api/models/projecttemplate'
require 'rancher/api/models/publicendpoint'
require 'rancher/api/models/publish'
require 'rancher/api/models/pulltask'
require 'rancher/api/models/recreateonquorumstrategyconfig'
require 'rancher/api/models/register'
require 'rancher/api/models/registrationtoken'
require 'rancher/api/models/registry'
require 'rancher/api/models/registrycredential'
require 'rancher/api/models/resourcedefinition'
require 'rancher/api/models/restartpolicy'
require 'rancher/api/models/restorefrombackupinput'
require 'rancher/api/models/reverttosnapshotinput'
require 'rancher/api/models/rollingrestartstrategy'
require 'rancher/api/models/scalepolicy'
require 'rancher/api/models/scheduledupgrade'
require 'rancher/api/models/schema'
require 'rancher/api/models/secondarylaunchconfig'
require 'rancher/api/models/secret'
require 'rancher/api/models/secretreference'
require 'rancher/api/models/service'
require 'rancher/api/models/servicebinding'
require 'rancher/api/models/serviceconsumemap'
require 'rancher/api/models/serviceevent'
require 'rancher/api/models/serviceexposemap'
require 'rancher/api/models/servicelink'
require 'rancher/api/models/servicelog'
require 'rancher/api/models/serviceproxy'
require 'rancher/api/models/servicerestart'
require 'rancher/api/models/serviceupgrade'
require 'rancher/api/models/serviceupgradestrategy'
require 'rancher/api/models/servicesportrange'
require 'rancher/api/models/setprojectmembersinput'
require 'rancher/api/models/setservicelinksinput'
require 'rancher/api/models/setting'
require 'rancher/api/models/snapshot'
require 'rancher/api/models/snapshotbackupinput'
require 'rancher/api/models/stack'
require 'rancher/api/models/stackupgrade'
require 'rancher/api/models/statetransition'
require 'rancher/api/models/statsaccess'
require 'rancher/api/models/storagedriver'
require 'rancher/api/models/storagedriverservice'
require 'rancher/api/models/storagepool'
require 'rancher/api/models/subnet'
require 'rancher/api/models/targetportrule'
require 'rancher/api/models/task'
require 'rancher/api/models/taskinstance'
require 'rancher/api/models/toserviceupgradestrategy'
require 'rancher/api/models/typedocumentation'
require 'rancher/api/models/ulimit'
require 'rancher/api/models/userpreference'
require 'rancher/api/models/virtualmachine'
require 'rancher/api/models/virtualmachinedisk'
require 'rancher/api/models/volume'
require 'rancher/api/models/volumeactivateinput'
require 'rancher/api/models/volumesnapshotinput'
require 'rancher/api/models/volumetemplate'
