# frozen_string_literal: true

module Rancher
  module Api
    class Agent
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :instances
      has_many :hosts
      has_many :storagepools
      has_many :configitemstatuses
      has_many :physicalhosts

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :managedConfig, :name, :removeTime, :removed,
                 :state, :uri, :uuid, :transitioning, :transitioningMessage,
                 :transitioningProgress
    end
  end
end
