# frozen_string_literal: true

module Rancher
  module Api
    class Backup
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :backuptarget
      belongs_to :snapshot
      belongs_to :volume
      has_one :volume
      has_one :account
      has_one :snapshot
      has_one :backuptarget

      attributes :accountId, :backupTargetId, :created, :data, :description,
                 :id, :kind, :name, :removeTime, :removed,
                 :snapshotId, :state, :uri, :uuid, :volumeId,
                 :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
