# frozen_string_literal: true

module Rancher
  module Api
    class Certificate
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account

      attributes :accountId, :cert, :certChain, :created, :data,
                 :description, :id, :key, :kind, :name,
                 :removeTime, :removed, :state, :uuid, :transitioning,
                 :transitioningMessage, :transitioningProgress, :certFingerprint, :CN, :expiresAt,
                 :issuer, :issuedAt, :algorithm, :version, :serialNumber,
                 :keySize, :subjectAlternativeNames
    end
  end
end
