# frozen_string_literal: true

module Rancher
  module Api
    class Composeproject
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :previousexternal
      has_one :account
      has_many :scheduledupgrades
      has_many :volumetemplates
      has_many :instances
      has_many :hosts
      has_many :volumes
      has_many :configitemstatuses
      has_many :services
      has_many :secrets

      attributes :accountId, :answers, :binding, :created, :data,
                 :description, :environment, :externalId, :group, :healthState,
                 :id, :kind, :name, :previousEnvironment, :previousExternalId,
                 :removeTime, :removed, :serviceIds, :state, :system,
                 :templates, :transitioning, :transitioningMessage, :transitioningProgress, :uuid
    end
  end
end
