# frozen_string_literal: true

module Rancher
  module Api
    class Container
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :agent
      belongs_to :host
      belongs_to :networkcontainer
      belongs_to :registrycredential
      belongs_to :requestedhost
      belongs_to :service
      belongs_to :stack
      belongs_to :primarynetwork
      has_one :agent
      has_one :stack
      has_one :networkcontainer
      has_one :registrycredential
      has_one :service
      has_one :account
      has_many :credentials
      has_many :instances
      has_many :hosts
      has_many :volumes
      has_many :mounts
      has_many :serviceevents
      has_many :serviceexposemaps
      has_many :services
      has_many :ports
      has_many :instancelinks
      has_many :healthcheckinstancehostmaps
      has_many :targetinstancelinks
      has_many :instancelabels
      has_many :servicelogs

      attributes :accountId, :agentId, :allocationState, :count, :createIndex,
                 :created, :data, :deploymentUnitUuid, :description, :expose,
                 :externalId, :firstRunning, :healthState, :hostId, :hostname,
                 :id, :imageUuid, :instanceTriggeredStop, :kind, :memoryReservation,
                 :milliCpuReservation, :mounts, :name, :nativeContainer, :networkContainerId,
                 :networkIds, :ports, :primaryIpAddress, :registryCredentialId, :removeTime,
                 :removed, :requestedHostId, :serviceId, :serviceIds, :stackId,
                 :startCount, :startOnCreate, :state, :system, :token,
                 :transitioning, :transitioningMessage, :transitioningProgress, :uuid, :version,
                 :volumeDriver, :environment, :command, :workingDir, :user,
                 :publishAllPorts, :primaryNetworkId, :privileged, :capAdd, :capDrop,
                 :dns, :dnsSearch, :instanceLinks, :domainName, :memorySwap,
                 :memory, :cpuSet, :cpuShares, :stdinOpen, :tty,
                 :entryPoint, :lxcConf, :restartPolicy, :devices, :blkioDeviceOptions,
                 :labels, :healthCheck, :securityOpt, :logConfig, :pidMode,
                 :extraHosts, :readOnly, :build, :dataVolumeMounts, :blkioWeight,
                 :cgroupParent, :usernsMode, :pidsLimit, :diskQuota, :cpuCount,
                 :cpuPercent, :ioMaximumIOps, :ioMaximumBandwidth, :cpuPeriod, :cpuQuota,
                 :cpuSetMems, :dnsOpt, :groupAdd, :isolation, :kernelMemory,
                 :memorySwappiness, :oomKillDisable, :shmSize, :tmpfs, :uts,
                 :ipcMode, :stopSignal, :sysctls, :storageOpt, :oomScoreAdj,
                 :ulimits, :ip, :ip6, :netAlias, :healthCmd,
                 :healthInterval, :healthTimeout, :healthRetries, :secrets, :userPorts,
                 :networkMode, :dataVolumes, :dataVolumesFrom
    end
  end
end
