# frozen_string_literal: true

module Rancher
  module Api
    class Dnsservice
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :stack
      has_one :stack
      has_one :account
      has_many :consumedbyservices
      has_many :instances
      has_many :storagedrivers
      has_many :consumedservices
      has_many :configitemstatuses
      has_many :serviceexposemaps
      has_many :networkdrivers
      has_many :servicelogs

      attributes :accountId, :assignServiceIpAddress, :created, :data, :description,
                 :externalId, :fqdn, :healthState, :id, :instanceIds,
                 :kind, :launchConfig, :linkedServices, :metadata, :name,
                 :removeTime, :removed, :retainIp, :selectorLink, :stackId,
                 :startOnCreate, :state, :system, :transitioning, :transitioningMessage,
                 :transitioningProgress, :upgrade, :uuid
    end
  end
end
