# frozen_string_literal: true

module Rancher
  module Api
    class Externalservice
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :stack
      has_one :stack
      has_one :account
      has_many :consumedbyservices
      has_many :instances
      has_many :storagedrivers
      has_many :consumedservices
      has_many :configitemstatuses
      has_many :serviceexposemaps
      has_many :networkdrivers
      has_many :servicelogs

      attributes :accountId, :created, :data, :description, :externalId,
                 :fqdn, :healthState, :id, :instanceIds, :kind,
                 :launchConfig, :linkedServices, :metadata, :name, :removeTime,
                 :removed, :stackId, :startOnCreate, :state, :system,
                 :transitioning, :transitioningMessage, :transitioningProgress, :upgrade, :uuid,
                 :externalIpAddresses, :hostname, :healthCheck
    end
  end
end
