# frozen_string_literal: true

module Rancher
  module Api
    class Host
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :agent
      belongs_to :hosttemplate
      belongs_to :physicalhost
      belongs_to :stack
      has_one :agent
      has_one :stack
      has_one :hosttemplate
      has_one :physicalhost
      has_one :account
      has_many :instances
      has_many :hosts
      has_many :volumes
      has_many :serviceevents
      has_many :hostlabels
      has_many :healthcheckinstancehostmaps
      has_many :ipaddresses
      has_many :storagepools
      has_many :configitemstatuses
      has_many :clusters
      has_many :containerevents

      attributes :accountId, :agentId, :agentState, :computeTotal, :created,
                 :data, :description, :hostTemplateId, :id, :kind,
                 :localStorageMb, :memory, :milliCpu, :name, :physicalHostId,
                 :removeTime, :removed, :stackId, :state, :uuid,
                 :transitioning, :transitioningMessage, :transitioningProgress, :info, :hostname,
                 :apiProxy, :agentIpAddress, :instanceIds, :labels, :publicEndpoints,
                 :amazonec2Config, :authCertificateAuthority, :authKey, :azureConfig, :digitaloceanConfig,
                 :dockerVersion, :driver, :engineEnv, :engineInsecureRegistry, :engineInstallUrl,
                 :engineLabel, :engineOpt, :engineRegistryMirror, :engineStorageDriver, :packetConfig
    end
  end
end
