# frozen_string_literal: true

module Rancher
  module Api
    class Instance
      include Her::Model
      include Helpers::Model

      include Rancher::Api::Helpers::Instance
      belongs_to :account
      belongs_to :host
      has_one :account
      has_many :credentials
      has_many :instances
      has_many :hosts
      has_many :volumes
      has_many :mounts
      has_many :serviceevents
      has_many :serviceexposemaps
      has_many :services
      has_many :ports
      has_many :instancelinks
      has_many :healthcheckinstancehostmaps
      has_many :targetinstancelinks
      has_many :instancelabels
      has_many :servicelogs

      attributes :accountId, :created, :data, :description, :externalId,
                 :id, :kind, :name, :removeTime, :removed,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress,
                 :hostId
    end
  end
end
