# frozen_string_literal: true

module Rancher
  module Api
    class Launchconfig
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :agent
      belongs_to :host
      belongs_to :networkcontainer
      belongs_to :primarynetwork
      belongs_to :registrycredential
      belongs_to :requestedhost
      belongs_to :service
      belongs_to :stack
      has_one :agent
      has_one :stack
      has_one :networkcontainer
      has_one :registrycredential
      has_one :service
      has_one :account
      has_many :credentials
      has_many :instances
      has_many :hosts
      has_many :volumes
      has_many :mounts
      has_many :serviceevents
      has_many :serviceexposemaps
      has_many :services
      has_many :ports
      has_many :instancelinks
      has_many :healthcheckinstancehostmaps
      has_many :targetinstancelinks
      has_many :instancelabels
      has_many :servicelogs

      attributes :accountId, :agentId, :allocationState, :blkioDeviceOptions, :blkioWeight,
                 :build, :capAdd, :capDrop, :cgroupParent, :command,
                 :count, :cpuCount, :cpuPercent, :cpuPeriod, :cpuQuota,
                 :cpuSet, :cpuSetMems, :cpuShares, :createIndex, :created,
                 :data, :dataVolumeMounts, :dataVolumes, :dataVolumesFrom, :deploymentUnitUuid,
                 :description, :devices, :diskQuota, :dns, :dnsOpt,
                 :dnsSearch, :domainName, :entryPoint, :environment, :expose,
                 :externalId, :extraHosts, :firstRunning, :groupAdd, :healthCheck,
                 :healthCmd, :healthInterval, :healthRetries, :healthState, :healthTimeout,
                 :hostId, :hostname, :id, :imageUuid, :instanceLinks,
                 :instanceTriggeredStop, :ioMaximumBandwidth, :ioMaximumIOps, :ip, :ip6,
                 :ipcMode, :isolation, :kernelMemory, :kind, :labels,
                 :logConfig, :lxcConf, :memory, :memoryMb, :memoryReservation,
                 :memorySwap, :memorySwappiness, :milliCpuReservation, :mounts, :nativeContainer,
                 :netAlias, :networkContainerId, :networkIds, :networkMode, :oomKillDisable,
                 :oomScoreAdj, :pidMode, :pidsLimit, :ports, :primaryIpAddress,
                 :primaryNetworkId, :privileged, :publishAllPorts, :readOnly, :registryCredentialId,
                 :removeTime, :removed, :requestedHostId, :requestedIpAddress, :secrets,
                 :securityOpt, :serviceId, :serviceIds, :shmSize, :stackId,
                 :startCount, :startOnCreate, :state, :stdinOpen, :stopSignal,
                 :storageOpt, :sysctls, :system, :tmpfs, :token,
                 :transitioning, :transitioningMessage, :transitioningProgress, :tty, :ulimits,
                 :user, :userPorts, :userdata, :usernsMode, :uts,
                 :uuid, :version, :volumeDriver, :workingDir, :dataVolumesFromLaunchConfigs,
                 :networkLaunchConfig, :vcpu, :disks
    end
  end
end
