# frozen_string_literal: true

module Rancher
  module Api
    class Loadbalancerservice
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :stack
      has_one :stack
      has_one :account
      has_many :consumedbyservices
      has_many :instances
      has_many :storagedrivers
      has_many :consumedservices
      has_many :configitemstatuses
      has_many :serviceexposemaps
      has_many :networkdrivers
      has_many :servicelogs

      attributes :accountId, :assignServiceIpAddress, :created, :currentScale, :data,
                 :description, :externalId, :fqdn, :healthState, :id,
                 :instanceIds, :kind, :launchConfig, :lbConfig, :linkedServices,
                 :metadata, :name, :publicEndpoints, :removeTime, :removed,
                 :retainIp, :scale, :scalePolicy, :selectorLink, :stackId,
                 :startOnCreate, :state, :system, :transitioning, :transitioningMessage,
                 :transitioningProgress, :upgrade, :uuid, :vip
    end
  end
end
