# frozen_string_literal: true

module Rancher
  module Api
    class Machine
      include Her::Model
      include Helpers::Model

      include Rancher::Api::Helpers::Machine
      belongs_to :account
      belongs_to :hosttemplate
      has_one :account
      has_many :hosts

      attributes :accountId, :created, :data, :description, :driver,
                 :externalId, :id, :kind, :name, :removeTime,
                 :removed, :state, :uuid, :transitioning, :transitioningMessage,
                 :transitioningProgress, :amazonec2Config, :authCertificateAuthority, :authKey, :azureConfig,
                 :digitaloceanConfig, :dockerVersion, :engineEnv, :engineInsecureRegistry, :engineInstallUrl,
                 :engineLabel, :engineOpt, :engineRegistryMirror, :engineStorageDriver, :hostTemplateId,
                 :labels, :packetConfig
    end
  end
end
