# frozen_string_literal: true

module Rancher
  module Api
    class Mount
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :instance
      belongs_to :volume
      has_one :volume
      has_one :instance
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :instanceId, :kind, :name, :path, :permissions,
                 :removeTime, :removed, :state, :uuid, :volumeId,
                 :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
