# frozen_string_literal: true

module Rancher
  module Api
    class Network
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :networkdriver
      has_one :networkdriver
      has_one :account
      has_many :ipaddresses
      has_many :subnets

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :networkDriverId, :removeTime, :removed,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress,
                 :dns, :dnsSearch, :metadata, :subnets, :hostPorts,
                 :defaultPolicyAction, :policy
    end
  end
end
