# frozen_string_literal: true

module Rancher
  module Api
    class Port
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :instance
      belongs_to :privateipaddress
      belongs_to :publicipaddress
      has_one :privateipaddress
      has_one :publicipaddress
      has_one :instance
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :instanceId, :kind, :name, :privateIpAddressId, :privatePort,
                 :protocol, :publicIpAddressId, :publicPort, :removeTime, :removed,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress,
                 :bindAddress
    end
  end
end
