# frozen_string_literal: true

module Rancher
  module Api
    class Registry
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :images
      has_many :credentials
      has_many :hosts
      has_many :volumes

      attributes :accountId, :blockDevicePath, :created, :data, :description,
                 :driverName, :externalId, :id, :kind, :name,
                 :removeTime, :removed, :state, :transitioning, :transitioningMessage,
                 :transitioningProgress, :uuid, :volumeAccessMode, :volumeCapabilities, :serverAddress
    end
  end
end
