# frozen_string_literal: true

module Rancher
  module Api
    class Service
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :stack
      has_one :stack
      has_one :account
      has_many :consumedbyservices
      has_many :instances
      has_many :storagedrivers
      has_many :consumedservices
      has_many :configitemstatuses
      has_many :serviceexposemaps
      has_many :networkdrivers
      has_many :servicelogs

      attributes :accountId, :createIndex, :created, :data, :description,
                 :externalId, :healthState, :id, :kind, :name,
                 :removeTime, :removed, :selectorContainer, :selectorLink, :stackId,
                 :state, :system, :uuid, :vip, :transitioning,
                 :transitioningMessage, :transitioningProgress, :scale, :currentScale, :scalePolicy,
                 :launchConfig, :upgrade, :secondaryLaunchConfigs, :metadata, :fqdn,
                 :publicEndpoints, :retainIp, :assignServiceIpAddress, :startOnCreate, :linkedServices,
                 :instanceIds, :lbConfig
    end
  end
end
