# frozen_string_literal: true

module Rancher
  module Api
    class Snapshot
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :volume
      has_one :volume
      has_one :account
      has_many :backups

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :state,
                 :uuid, :volumeId, :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
