# frozen_string_literal: true

module Rancher
  module Api
    class Stack
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :previousexternal
      has_one :account
      has_many :scheduledupgrades
      has_many :volumetemplates
      has_many :instances
      has_many :hosts
      has_many :volumes
      has_many :configitemstatuses
      has_many :services
      has_many :secrets

      attributes :accountId, :created, :data, :description, :externalId,
                 :group, :healthState, :id, :kind, :name,
                 :removeTime, :removed, :state, :system, :uuid,
                 :transitioning, :transitioningMessage, :transitioningProgress, :dockerCompose, :rancherCompose,
                 :environment, :answers, :templates, :previousExternalId, :previousEnvironment,
                 :startOnCreate, :outputs, :binding, :serviceIds
    end
  end
end
