# frozen_string_literal: true

module Rancher
  module Api
    class Storagedriver
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :service
      has_one :service
      has_one :account
      has_many :storagepools
      has_many :volumes

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :serviceId,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress,
                 :volumeAccessMode, :volumeCapabilities, :blockDevicePath, :scope
    end
  end
end
