# frozen_string_literal: true

module Rancher
  module Api
    class Storagepool
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :storagedriver
      has_one :storagedriver
      has_one :account
      has_many :images
      has_many :credentials
      has_many :hosts
      has_many :volumes

      attributes :accountId, :created, :data, :description, :driverName,
                 :externalId, :id, :kind, :name, :removeTime,
                 :removed, :state, :storageDriverId, :uuid, :volumeAccessMode,
                 :transitioning, :transitioningMessage, :transitioningProgress, :hostIds, :blockDevicePath,
                 :volumeCapabilities, :volumeIds
    end
  end
end
