# frozen_string_literal: true

module Rancher
  module Api
    class Volume
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :host
      belongs_to :image
      belongs_to :instance
      belongs_to :stack
      belongs_to :storagedriver
      belongs_to :volumetemplate
      has_one :image
      has_one :stack
      has_one :storagedriver
      has_one :instance
      has_one :volumetemplate
      has_one :host
      has_one :account
      has_many :snapshots
      has_many :storagepools
      has_many :mounts
      has_many :backups

      attributes :accessMode, :accountId, :created, :data, :description,
                 :externalId, :hostId, :id, :imageId, :instanceId,
                 :kind, :name, :removeTime, :removed, :sizeMb,
                 :stackId, :state, :storageDriverId, :uri, :uuid,
                 :volumeTemplateId, :transitioning, :transitioningMessage, :transitioningProgress, :isHostPath,
                 :driver, :driverOpts, :mounts
    end
  end
end
